centos 7 + kopano Version: 8.6.80.1248 is missing python-tz

Hi,

When doing an update on centos 7 kopano is missing

Error: Package: python2-kopano-8.6.80.1248-176.1.x86_64 (kopano)
Requires: python-tz

How can we resolve this issue?

chris.

(Clarification for passers-by: 8.6.80.1248 isn’t missing python-tz. RHEL 7 is missing python-tz ;-) )

@jengelh

hi so we can not upgrade because centos is missing this package?

The package is (now) split in new builds and you can forego to install kopano-python-utils.
(And apparently someone failed to pay attention to the name; it’s simply called (python-)pytz on PyPi, in Fedora, RHEL, and SUSE. That’s now fixed as well.)

@jengelh

hi i just tried to upgrade kopano but i still have the same issue?

@jengelh

when will the new packages be uploaded so we can upgrade?

# yum install python2-pytz

@tjoen

hi tjoen this package is allredeay installed. but i still get the error of missing python-tz?

[root@kopano ~]# yum install python2-pytz
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile

  • base: ftp.tudelft.nl
  • epel: mirror.1000mbps.com
  • extras: mirror.ams1.nl.leaseweb.net
  • updates: mirror.serverius.net
    Package pytz-2016.10-2.el7.noarch already installed and latest version
    Nothing to do
    –> Running transaction check
    —> Package gnupg2.x86_64 0:2.0.22-4.el7 will be updated
    —> Package gnupg2.x86_64 0:2.0.22-5.el7_5 will be an update
    —> Package kopano-backup.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-backup.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-client.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-client.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-common.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-common.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-contacts.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-contacts.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-dagent.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-dagent.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-gateway.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-gateway.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-ical.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-ical.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-lang.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-lang.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-migration-imap.noarch 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-migration-imap.noarch 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-migration-pst.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-migration-pst.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-monitor.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-monitor.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-search.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-search.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-server.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-server.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-server-packages.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-server-packages.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-spooler.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-spooler.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-utils.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package kopano-utils.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package kopano-webapp.noarch 0:3.4.17.1613-922.1 will be updated
    —> Package kopano-webapp.noarch 0:3.4.17.1634-930.1 will be an update
    —> Package kopano-webapp-lang.noarch 0:3.4.17.1613-922.1 will be updated
    —> Package kopano-webapp-lang.noarch 0:3.4.17.1634-930.1 will be an update
    —> Package kopano-webapp-plugin-files.noarch 0:2.1.4.281-185.1 will be updated
    —> Package kopano-webapp-plugin-files.noarch 0:2.1.4.286-188.1 will be an update
    —> Package kopano-webapp-plugin-folderwidgets.noarch 0:3.4.17.1613-922.1 will be updated
    —> Package kopano-webapp-plugin-folderwidgets.noarch 0:3.4.17.1634-930.1 will be an update
    —> Package kopano-webapp-plugin-gmaps.noarch 0:3.4.17.1613-922.1 will be updated
    —> Package kopano-webapp-plugin-gmaps.noarch 0:3.4.17.1634-930.1 will be an update
    —> Package kopano-webapp-plugin-mdm.noarch 0:2.1.0.97-22.4 will be updated
    —> Package kopano-webapp-plugin-mdm.noarch 0:2.1.0.102-23.1 will be an update
    —> Package kopano-webapp-plugin-spell.noarch 0:2.0.0.4-25.3 will be updated
    —> Package kopano-webapp-plugin-spell.noarch 0:2.0.0.16-33.1 will be an update
    —> Package libkcarchiver0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcarchiver0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcarchivercore0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcarchivercore0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcfreebusy0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcfreebusy0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcicalmapi0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcicalmapi0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcinetmapi0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcinetmapi0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcpyplug.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcpyplug.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcrosie0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcrosie0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcserver0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcserver0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcsoap0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcsoap0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libkcutil0.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libkcutil0.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package libmapi1.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package libmapi1.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package php-mapi.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package php-mapi.x86_64 0:8.6.80.1248-176.1 will be an update
    —> Package python2-kopano.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package python2-kopano.x86_64 0:8.6.80.1248-176.1 will be an update
    –> Processing Dependency: python-tz for package: python2-kopano-8.6.80.1248-176.1.x86_64
    —> Package python2-mapi.x86_64 0:8.6.80.1216-171.1 will be updated
    —> Package python2-mapi.x86_64 0:8.6.80.1248-176.1 will be an update
    –> Finished Dependency Resolution
    Error: Package: python2-kopano-8.6.80.1248-176.1.x86_64 (kopano)
    Requires: python-tz
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

@ckruijntjens

hi tjoen this package is allredeay installed. but i still get the error of missing python-tz?

# rpm -i --nodeps pyton2-kopano-etc.etc.rpm

@tjoen

Hi the package can not be found. Thuis package does not excist in the Kopano core directory?

@ckruijntjens

@tjoen

Hi the package can not be found. Thuis package does not excist in the Kopano core directory?

A repo has a directory wih a file python2-kopano-8.6.80.1248-176.1.x86_64.rpm
You can also get it from https://download.kopano.io/community/core:/core-8.6.80.1248_0%2B176-RHEL_7-x86_64.tar.gz

I have never tried

You could try using --skip-broken to work around the problem

@tjoen

Tried with —skip-broken but then kopano does not upgrade.

Hi @ckruijntjens ,

you need to download a newer archive. the update succeeds for me with 8.6.80.1317.

@fbartels
Hi the latest i see is the 8.6.80.1248?

Oh, Indeed an automatic test was failing and hence no newer version has been uploaded since the 10th. Will check why this hasn’t been addressed yet.

@ckruijntjens

Hi the latest i see is the 8.6.80.1248?

Meanwhile you only have todo:

# rpm -i --nodeps python2-kopano-etc-x86_64.rpm

After that no problems installing the rest
Don’t forget to install the dependencies of python2-kopano first

@tjoen

then i get all kinds of errors ?

rpm -i --nodeps python2-kopa no-8.6.80.1248-176.1.x86_64.rpm
warning: python2-kopano-8.6.80.1248-176.1.x86_64.rpm: Header V4 RSA/SHA512 Signa ture, key ID 58e2f2a7: NOKEY
file /usr/lib/python2.7/site-packages/kopano/init.pyc from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/init.pyc from in stall of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from packag e python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/version/init.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file fro m package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/init.pyo from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/init.pyo from in stall of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from packag e python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/version/init.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file fro m package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/address.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/address.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/appointment.py from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/appointment.pyc from instal l of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package py thon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/appointment.pyo from instal l of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package py thon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/attachment.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/attachment.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/attendee.pyc from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/attendee.pyo from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/autoaccept.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/autoaccept.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/autoprocess.pyc from instal l of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package py thon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/autoprocess.pyo from instal l of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package py thon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/company.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/company.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/compat.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/compat.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/config.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/config.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/contact.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/contact.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/daemon.pyc from inst all of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/daemon.pyo from inst all of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/pidlockfile.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from pac kage python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/pidlockfile.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from pac kage python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/runner.pyc from inst all of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/runner.pyo from inst all of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/version/version_info .pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/daemon/version/version_info .pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/defs.pyc from install of py thon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-k opano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/defs.pyo from install of py thon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-k opano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/delegation.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/delegation.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/errors.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/errors.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/folder.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/folder.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/freebusy.pyc from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/freebusy.pyo from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/group.pyc from install of p ython2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2- kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/group.pyo from install of p ython2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2- kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/ics.py from install of pyth on2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kop ano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/ics.pyc from install of pyt hon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-ko pano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/ics.pyo from install of pyt hon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-ko pano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/item.pyc from install of py thon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-k opano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/item.pyo from install of py thon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-k opano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/lockfile.pyc from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/lockfile.pyo from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/log.pyc from install of pyt hon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-ko pano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/log.pyo from install of pyt hon2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-ko pano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/lru_cache.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyth on2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/lru_cache.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyth on2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/meetingrequest.pyc from ins tall of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/meetingrequest.pyo from ins tall of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/notification.pyc from insta ll of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package p ython2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/notification.pyo from insta ll of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package p ython2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/outofoffice.pyc from instal l of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package py thon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/outofoffice.pyo from instal l of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package py thon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/parse.pyc from install of p ython2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2- kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/parse.pyo from install of p ython2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2- kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/parser.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/parser.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/permission.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/permission.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/picture.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/picture.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python 2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/pidlid.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/pidlid.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package python2 -kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/properties.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/properties.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyt hon2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/property_.pyc from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyth on2-kopano-8.6.80.1216-171.1.x86_64
file /usr/lib/python2.7/site-packages/kopano/property_.pyo from install of python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pyth

@ckruijntjens

then i get all kinds of errors ?

rpm -i --nodeps python2-kopa no-8.6.80.1248-176.1.x86_64.rpm
file /usr/lib/python2.7/site-packages/kopano/init.pyc from install o f python2-kopano-8.6.80.1248-176.1.x86_64 conflicts with file from package pytho n2-kopano-8.6.80.1216-171.1.x86_64

I see that you are upgrading, not installing. Then you have to use -U (upgrade) instead of -i (install)

@tjoen

hi you where wright, how stuppit of me :(

@tjoen thank you!